Package icyllis.modernui.resources

# Class ResourceTypes.Res_value

java.lang.Object
icyllis.modernui.resources.ResourceTypes.Res_value

Enclosing class:
  `ResourceTypes`

public static class ResourceTypes.Res_value extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `TYPE_ATTRIBUTE`
  `static final int`
  `TYPE_DIMENSION`
  `static final int`
  `TYPE_DYNAMIC_ATTRIBUTE`
  `static final int`
  `TYPE_DYNAMIC_REFERENCE`
  `static final int`
  `TYPE_FIRST_COLOR_INT`
  `static final int`
  `TYPE_FIRST_INT`
  `static final int`
  `TYPE_FLOAT`
  `static final int`
  `TYPE_FRACTION`
  `static final int`
  `TYPE_INT_BOOLEAN`
  `static final int`
  `TYPE_INT_COLOR_ARGB4`
  `static final int`
  `TYPE_INT_COLOR_ARGB8`
  `static final int`
  `TYPE_INT_COLOR_RGB4`
  `static final int`
  `TYPE_INT_COLOR_RGB8`
  `static final int`
  `TYPE_INT_DEC`
  `static final int`
  `TYPE_INT_HEX`
  `static final int`
  `TYPE_LAST_COLOR_INT`
  `static final int`
  `TYPE_LAST_INT`
  `static final int`
  `TYPE_NULL`
  `static final int`
  `TYPE_REFERENCE`
  `static final int`
  `TYPE_STRING`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Res_value()`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### TYPE_NULL

    public static final int TYPE_NULL
    See Also:
      - Constant Field Values

  - ### TYPE_REFERENCE

    public static final int TYPE_REFERENCE
    See Also:
      - Constant Field Values

  - ### TYPE_ATTRIBUTE

    public static final int TYPE_ATTRIBUTE
    See Also:
      - Constant Field Values

  - ### TYPE_STRING

    public static final int TYPE_STRING
    See Also:
      - Constant Field Values

  - ### TYPE_FLOAT

    public static final int TYPE_FLOAT
    See Also:
      - Constant Field Values

  - ### TYPE_DIMENSION

    public static final int TYPE_DIMENSION
    See Also:
      - Constant Field Values

  - ### TYPE_FRACTION

    public static final int TYPE_FRACTION
    See Also:
      - Constant Field Values

  - ### TYPE_DYNAMIC_REFERENCE

    public static final int TYPE_DYNAMIC_REFERENCE
    See Also:
      - Constant Field Values

  - ### TYPE_DYNAMIC_ATTRIBUTE

    public static final int TYPE_DYNAMIC_ATTRIBUTE
    See Also:
      - Constant Field Values

  - ### TYPE_FIRST_INT

    public static final int TYPE_FIRST_INT
    See Also:
      - Constant Field Values

  - ### TYPE_INT_DEC

    public static final int TYPE_INT_DEC
    See Also:
      - Constant Field Values

  - ### TYPE_INT_HEX

    public static final int TYPE_INT_HEX
    See Also:
      - Constant Field Values

  - ### TYPE_INT_BOOLEAN

    public static final int TYPE_INT_BOOLEAN
    See Also:
      - Constant Field Values

  - ### TYPE_FIRST_COLOR_INT

    public static final int TYPE_FIRST_COLOR_INT
    See Also:
      - Constant Field Values

  - ### TYPE_INT_COLOR_ARGB8

    public static final int TYPE_INT_COLOR_ARGB8
    See Also:
      - Constant Field Values

  - ### TYPE_INT_COLOR_RGB8

    public static final int TYPE_INT_COLOR_RGB8
    See Also:
      - Constant Field Values

  - ### TYPE_INT_COLOR_ARGB4

    public static final int TYPE_INT_COLOR_ARGB4
    See Also:
      - Constant Field Values

  - ### TYPE_INT_COLOR_RGB4

    public static final int TYPE_INT_COLOR_RGB4
    See Also:
      - Constant Field Values

  - ### TYPE_LAST_COLOR_INT

    public static final int TYPE_LAST_COLOR_INT
    See Also:
      - Constant Field Values

  - ### TYPE_LAST_INT

    public static final int TYPE_LAST_INT
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### Res_value

    public Res_value()